#include <sys/time.h>

int getTimeInMicroseconds(void)
{
        struct timeval tv;
        struct timezone tz;
        gettimeofday(&tv,&tz);
        return tv.tv_usec;
}

int getTimeInSeconds(void)
{
        struct timeval tv;
        struct timezone tz;
        gettimeofday(&tv,&tz);
        return tv.tv_sec;
}
/*
 * Change sec and usec so they are correct
 */
void fixTime(int sec, int usec, int sec2, int usec2,int *rsec, int *rusec){
	*rsec = sec2-sec;
	if(usec2-usec < 0){
		*rsec--;
		*rusec = (usec2-usec) + 1000000;
	}else{
		*rusec = usec2-usec;
	}
}
